# $Revision: 1.53 $, $Date: 2012/01/13 14:49:47 $
#
# Conditional build:
%bcond_without	python	# don't build python bindings
#
Summary:	Little CMS - a library to transform between colour profiles
Summary(pl.UTF-8):	Little CMS - biblioteka do konwersji między profilami kolorów
Name:		lcms
Version:	1.19
Release:	3
License:	MIT
Group:		Libraries
Source0:	http://downloads.sourceforge.net/lcms/%{name}-%{version}.tar.gz
# Source0-md5:	8af94611baf20d9646c7c2c285859818
Patch0:		%{name}-python.patch
URL:		http://www.littlecms.com/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.7.2
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	sed >= 4.0
%if %{with python}
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	swig-python >= 1.3.30
%endif
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Little CMS intends to be a small-footprint color management engine,
with special focus on accuracy and performance. It uses the
International Color Consortium standard (ICC), which is the modern
standard when regarding to color management.

Little CMS 1.x supports ICC profile specification v3.4.

%description -l pl.UTF-8
Little CMS jest lekkim silnikiem zarządzania kolorami, tworzonym
przede wszystkim z myślą o dokładności i wydajności. Wykorzystuje
standard International Color Consortium (ICC), będący współczesnym
standardem zarządzania kolorami.

Little CMS 1.x obsługuje specyfikację profili ICC w wersji 3.4.

%package devel
Summary:	Little CMS - header files and developer's documentation
Summary(pl.UTF-8):	Little CMS - pliki nagłówkowe i dokumentacja
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files needed to compile programs with liblcms and some
documentation useful for programmers.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do konsolidacji z liblcms oraz dokumentacja
dla programistów.

%package static
Summary:	Little CMS - static library
Summary(pl.UTF-8):	Little CMS - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of liblcms.

%description static -l pl.UTF-8
Statyczna biblioteka liblcms.

%package progs
Summary:	Example and demonstration programs for Little CMS
Summary(pl.UTF-8):	Programy przykładowe i demonstracyjne do Little CMS
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
Example and demonstration programs for Little CMS.

%description progs -l pl.UTF-8
Programy przykładowe i demonstracyjne do Little CMS.

%package -n python-lcms
Summary:	Little CMS module for Python
Summary(pl.UTF-8):	Moduł Little CMS dla Pythona
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python

%description -n python-lcms
Little CMS module for Python.

%description -n python-lcms -l pl.UTF-8
Moduł Little CMS dla Pythona.

%prep
%setup -q
%undos configure.ac
%patch0 -p1

%build
# rebuild using newer swig (needed for g++ 4/python 2.5)
cd python
rm -f lcms.py lcms_wrap.cxx
swig -python -c++ -I../include lcms.i
cd ..
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with%{!?with_python:out}-python

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install samples/{icctrans,wtpt} tifficc/tifficc $RPM_BUILD_ROOT%{_bindir}

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README.1ST
%attr(755,root,root) %{_libdir}/liblcms.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblcms.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_libdir}/liblcms.so
%{_libdir}/liblcms.la
%{_includedir}/icc34.h
%{_includedir}/lcms.h
%{_pkgconfigdir}/lcms.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblcms.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/icc2ps
%attr(755,root,root) %{_bindir}/icclink
%attr(755,root,root) %{_bindir}/icctrans
%attr(755,root,root) %{_bindir}/jpegicc
%attr(755,root,root) %{_bindir}/tiffdiff
%attr(755,root,root) %{_bindir}/tifficc
%attr(755,root,root) %{_bindir}/wtpt
%{_mandir}/man1/icc2ps.1*
%{_mandir}/man1/icclink.1*
%{_mandir}/man1/jpegicc.1*
%{_mandir}/man1/tifficc.1*
%{_mandir}/man1/wtpt.1*

%if %{with python}
%files -n python-lcms
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_lcms.so
%{py_sitedir}/lcms.py
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lcms.spec,v $
Revision 1.53  2012/01/13 14:49:47  arekm
- release 3

Revision 1.52  2010/12/08 15:39:50  lisu
- resurected

Revision 1.51  2010/12/08 11:04:09  lisu
- obsoleted by lcms2

Revision 1.50  2010/11/25 13:51:16  hawk
- release 2

Revision 1.49  2010/11/16 08:18:15  lisu
- BR: rpmbuild(macros) >= 1.566 for %%undos macro

Revision 1.48  2010/08/15 09:02:09  qboosh
- cleanup

Revision 1.47  2010/08/15 08:57:18  qboosh
- updated base desc
- more verbose files

Revision 1.46  2010/08/14 18:51:04  lisu
- up to 1.19
- use %%undos instead of dos2unix
- TODO (create lcms2.spec)

Revision 1.45  2010/07/09 11:17:56  arekm
- release 5

Revision 1.44  2010/01/29 07:49:18  amateja
- release 4

Revision 1.43  2009/11/30 01:21:01  sparky
- BR: python-modules, rpm-pythonprov

Revision 1.42  2009/07/10 19:53:18  arekm
- release 3

Revision 1.41  2009/03/27 12:58:58  megabajt
- undos configure.ac
- release 2

Revision 1.40  2009/03/26 20:27:48  qboosh
- updated to 1.18 (fixes CVE-2009-0581 CVE-2009-0723 CVE-2009-0733)

Revision 1.39  2008/12/18 18:09:53  glen
- release 3

Revision 1.38  2008/12/18 17:05:58  glen
- ghost soname symlink

Revision 1.37  2008/10/14 20:30:42  megabajt
- release 2

Revision 1.36  2007/08/12 17:28:39  qboosh
- updated to 1.17
- License is MIT currently

Revision 1.35  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.33  2006/12/24 14:45:48  qboosh
- updated to 1.16, added python patch

Revision 1.32  2006/12/18 23:17:47  shadzik
- rel 2

Revision 1.31  2005/12/03 18:20:30  qboosh
- updated to 1.15

Revision 1.30  2005/06/27 01:02:05  saq
- missing BR

Revision 1.29  2005/06/27 00:15:20  saq
- as of 1.3.25, swig subpackages actually contain something useful

Revision 1.28  2005/03/30 19:47:39  qboosh
- bcond header

Revision 1.27  2005/03/30 16:22:33  djurban
- without python bcond (pld is nuts about swig, first svn-libs want it now this)

Revision 1.26  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.25  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.24  2004/12/25 14:48:54  saq
- release 2 for rebuild with python 2.4

Revision 1.23  2004/12/23 00:47:36  qboosh
- updated to 1.14

Revision 1.22  2004/07/28 08:03:14  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.21  2004/05/20 22:06:59  qboosh
- updated to 1.13

Revision 1.20  2004/03/01 15:43:24  pluto
- strict deps.

Revision 1.19  2004/01/27 22:28:17  qboosh
- updated to 1.12, added python module

Revision 1.18  2003/10/25 12:05:37  ankry
- pl cosmetics

Revision 1.17  2003/10/24 14:50:17  deejay1
- updated to 1.11
- makefiles patch "replaced" by auto* suite

Revision 1.16  2003/06/25 12:05:52  deejay1
- up to 1.10

Revision 1.15  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.14  2003/05/25 05:49:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/03/03 17:21:50  qboosh
- qt3 patch is obsolete
- fixed --tag (CC, not CXX) and added --mode in makefiles patch

Revision 1.12  2003/03/01 13:49:22  juandon
- update to 1.09
- made spec parallel make friendly
- commented out qt3.patch
- updated makefiles.patch

Revision 1.11  2002/11/25 14:16:49  ankry
- massive attack: no need for 755 for *.la

Revision 1.10  2002/10/23 14:55:42  qboosh
- qt3 patch: fix conflict with qt3 which defines HANDLE in namespace other than ::
- release 2, STBR

Revision 1.9  2002/06/26 19:58:30  qboosh
- use libtool to generate correct shared library (with SONAME and PIC);
  makefiles patch is back
- added progs package (BR: libjpeg, libtiff, zlib for tifficc)
- release 1

Revision 1.8  2002/06/26 14:21:17  ankry
- updated to 1.08
- without libtool support at the moment; release 0.1

Revision 1.7  2002/06/26 05:29:35  kloczek
- use new %%doc.

Revision 1.6  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:13:36  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/10/22 23:47:14  kloczek
- adapterized.

Revision 1.3  2001/05/23 02:14:54  qboosh
- use %%rpmldflags

Revision 1.2  2001/04/30 16:05:20  kloczek
- added using %%{rpmcflags} macro.

Revision 1.1  2001/03/19 00:01:36  qboosh
- from scratch
  maybe TODO: translate assembler parts to gcc's one
